Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: oddjob

Interfaces

### Description:

D-BUS service which runs odd jobs on behalf of client applications.

### Interfaces:

oddjob_dbus_chat( domain )

##### Summary

Send and receive messages from oddjob over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

oddjob_domtrans( domain )

##### Summary

Execute a domain transition to run oddjob.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

oddjob_domtrans_mkhomedir( domain )

##### Summary

Execute a domain transition to run oddjob mkhomedir.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

oddjob_dontaudit_rw_fifo_files( domain )

##### Summary

Do not audit attempts to read and write oddjob fifo files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

oddjob_run_mkhomedir( domain , role )

##### Summary

Execute oddjob mkhomedir in the oddjob mkhomedir domain and allow the specified role the oddjob mkhomedir domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

oddjob_sigchld( domain )

##### Summary

Send child terminated signals to oddjob.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

oddjob_system_entry( domain , entrypoint )

##### Summary

Make the specified program domain accessable from the oddjob.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process to transition to.
entrypoint | The type of the file used as an entrypoint to this domain.

Return